<div class="card-box">
    <section class="cart-section">
    <div class="container">
      <h2><mat-icon>shopping_cart</mat-icon> My cart</h2>
      <div *ngIf="getMyCartInfo">
        <table>
        <tr>
          <th>Product</th>
          <th>Price</th>
          <th>Number</th>
          <th>Σ SUM</th>
          <th>Delete</th>
        </tr>
        <tr *ngFor="let cartInfo of getMyCartInfo">
          <td style="width:70px; height:70px; text-align:center; vertical-align:middle">
            <img style="max-height:100%; max-width:100%" [src]="environment.imageUrl+cartInfo.img" alt="{{cartInfo.name}}">
          </td>
          <td>${{cartInfo.price}}</td>
          <td>
            <button mat-button (click)="addProductNum(cartInfo.id, cartInfo.count)"><mat-icon>add</mat-icon></button>
            <span>{{cartInfo.count}}</span>
            <button mat-button (click)="rmvProductNum(cartInfo.id, cartInfo.count)"><mat-icon>remove</mat-icon></button>
          </td>
          <td>{{cartInfo.count * (cartInfo.price-(cartInfo.price*cartInfo.discount/100)) | currency}}</td>
          <td><button  mat-raised-button (click)="removeProduct(cartInfo.id)">
            <mat-icon>close</mat-icon></button>
          </td>
        </tr>
        <tr>
          <th></th>
          <th></th>
          <th></th>
          <th><h3>Σ = {{sum | currency}}</h3></th>
          <th>
            <button style="margin-right: 3px;" mat-raised-button color="warn" (click)="rmvAllProducts()"><mat-icon>delete</mat-icon></button>
            <button style="margin-right: 3px;" routerLink="/checkout" mat-raised-button color="accent"><mat-icon>account_balance_wallet</mat-icon></button>
          </th>
        </tr>
        </table>
      </div>
    </div>
  </section>
</div>

